These are chat archives for ractivejs/ractive

22nd
Jul 2018
Chris Reeves
@evs-chris
Jul 22 2018 01:44
should work with any old partial for named and content for default
content partial may be tricky though, because a non-void tag will replace it
@ceremcem if you leave off the target, it will just target es5, which is what I normally do if I'm not just targeting evergreens
Cerem Cem ASLAN
@ceremcem
Jul 22 2018 03:07
@evs-chris you were correct, without any options, it creates the most compatible es5 code. if anyone hits the same problem, es-check in package.json does a very good job.
thank you both!
kouts
@kouts
Jul 22 2018 09:31
thanks @evs-chris I'll try that, @ceremcem out of curiosity what issues did you had with babel?
Cerem Cem ASLAN
@ceremcem
Jul 22 2018 13:47
I'm sure it was not babel's fault. I have a misconfiguration that contaminated browser bundle with server-side only code. since it is never required in the application, neither babel nor buble tried to convert them into es5, so I had the same problem with buble. when I cleaned up that part of require(), buble solved its part, but I'm sure babel would do too.
kouts
@kouts
Jul 22 2018 13:54
Ok so it was a configuration issue
Cerem Cem ASLAN
@ceremcem
Jul 22 2018 13:55
babel failure part, yes